Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class GlobalFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.GlobalFormats

    public class GlobalFormats

extends java.lang.Object

Field Summary
`private java.awt.Color` | `backgroundColor`
`private DistanceValue` | `branchLengthScale`
`static java.awt.Color` | `DEFAULT_BACKGROUNG_COLOR`
`static float` | `DEFAULT_BRANCH_LENGTH_SCALE`
`static float` | `DEFAULT_LABEL_BLOCK_DISTANCE_IN_MM`
`static float` | `DEFAULT_LEGEND_SPACING_IN_MM`
`static boolean` | `DEFAULT_SHOW_ROOTED`
`static boolean` | `DEFAULT_SHOW_SCALE_BAR`
`private Margin` | `documentMargin`
`private DistanceValue` | `horizontalLabelSpacing`
`private DistanceValue` | `labelBlockDistance`
`private Margin` | `labelBlockMargin`
`private Margin` | `leafMargin`
`private Margin` | `legendMargin`
`private DistanceValue` | `legendSpacing`
`private DistanceDimension` | `minDocumentDimension`
`private Margin` | `nodeMargin`
`private boolean` | `showRooted`
`private boolean` | `showScaleBar`
`private DistanceValue` | `verticalLabelSpacing`

Constructor Summary
`GlobalFormats()`

Method Summary
`void` | `assign(GlobalFormats other)`
`GlobalFormats` | `clone()`
`java.awt.Color` | `getBackgroundColor()`
`DistanceValue` | `getBranchLengthScale()`
`Margin` | `getDocumentMargin()`
`DistanceValue` | `getHorizontalLabelSpacing()`
`DistanceValue` | `getLabelBlockDistance()`
`Margin` | `getLabelBlockMargin()`
`Margin` | `getLeafMargin()`
`Margin` | `getLegendMargin()`
`DistanceValue` | `getLegendSpacing()` The legend spacing is the distance between the bracket and the text of a legend.
`DistanceDimension` | `getMinDocumentDimension()`
`Margin` | `getNodeMargin()`
`boolean` | `getShowRooted()`
`boolean` | `getShowScaleBar()`
`DistanceValue` | `getVerticalLabelSpacing()`
`void` | `setBackgroundColor(java.awt.Color backgroundColor)`
`void` | `setShowRooted(boolean showRooted)`
`void` | `setShowScaleBar(boolean showScaleBar)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BACKGROUNG_COLOR

    public static final java.awt.Color DEFAULT_BACKGROUNG_COLOR

### DEFAULT_LEGEND_SPACING_IN_MM

    public static final float DEFAULT_LEGEND_SPACING_IN_MM

See Also:
  Constant Field Values

### DEFAULT_LABEL_BLOCK_DISTANCE_IN_MM

    public static final float DEFAULT_LABEL_BLOCK_DISTANCE_IN_MM

See Also:
  Constant Field Values

### DEFAULT_BRANCH_LENGTH_SCALE

    public static final float DEFAULT_BRANCH_LENGTH_SCALE

See Also:
  Constant Field Values

### DEFAULT_SHOW_SCALE_BAR

    public static final boolean DEFAULT_SHOW_SCALE_BAR

See Also:
  Constant Field Values

### DEFAULT_SHOW_ROOTED

    public static final boolean DEFAULT_SHOW_ROOTED

See Also:
  Constant Field Values

### backgroundColor

    private java.awt.Color backgroundColor

### minDocumentDimension

    private DistanceDimension minDocumentDimension

### documentMargin

    private Margin documentMargin

### branchLengthScale

    private DistanceValue branchLengthScale

### showScaleBar

    private boolean showScaleBar

### showRooted

    private boolean showRooted

### labelBlockMargin

    private Margin labelBlockMargin

### horizontalLabelSpacing

    private DistanceValue horizontalLabelSpacing

### verticalLabelSpacing

    private DistanceValue verticalLabelSpacing

### labelBlockDistance

    private DistanceValue labelBlockDistance

### nodeMargin

    private Margin nodeMargin

### leafMargin

    private Margin leafMargin

### legendMargin

    private Margin legendMargin

### legendSpacing

    private DistanceValue legendSpacing

Constructor Detail

### GlobalFormats

    public GlobalFormats()

Method Detail

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color backgroundColor)

### getMinDocumentDimension

    public DistanceDimension getMinDocumentDimension()

### getBranchLengthScale

    public DistanceValue getBranchLengthScale()

### getLabelBlockDistance

    public DistanceValue getLabelBlockDistance()

### getShowScaleBar

    public boolean getShowScaleBar()

### setShowScaleBar

    public void setShowScaleBar(boolean showScaleBar)

### getShowRooted

    public boolean getShowRooted()

### setShowRooted

    public void setShowRooted(boolean showRooted)

### getLegendMargin

    public Margin getLegendMargin()

### getNodeMargin

    public Margin getNodeMargin()

### getLabelBlockMargin

    public Margin getLabelBlockMargin()

### getLeafMargin

    public Margin getLeafMargin()

### getDocumentMargin

    public Margin getDocumentMargin()

### getHorizontalLabelSpacing

    public DistanceValue getHorizontalLabelSpacing()

### getVerticalLabelSpacing

    public DistanceValue getVerticalLabelSpacing()

### getLegendSpacing

    public DistanceValue getLegendSpacing()

  The legend spacing is the distance between the bracket and the text of a legend.

### assign

    public void assign(GlobalFormats other)

### clone

    public GlobalFormats clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD